<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>AppMain</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AppMain";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AppMain.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?fr/inria/alpage/frmgcm/AppMain.html" target="_top">Frames</a></li>
<li><a href="AppMain.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm</div>
<h2 title="Class AppMain" class="title">Class AppMain</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.AppMain</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">AppMain</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.util.HashMap&lt;java.lang.String,java.lang.Object&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#locks">locks</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.HashMap&lt;java.lang.String,<a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#users">users</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#AppMain()">AppMain</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#AddUser(java.lang.String,%20java.lang.String,%20java.lang.String)">AddUser</a></strong>(java.lang.String&nbsp;uid,
       java.lang.String&nbsp;name,
       java.lang.String&nbsp;key)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a></code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#AuthenticateConnexion(org.java_websocket.WebSocket)">AuthenticateConnexion</a></strong>(org.java_websocket.WebSocket&nbsp;conn)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a></code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#AuthenticateConnexion(org.java_websocket.WebSocket,%20java.lang.String)">AuthenticateConnexion</a></strong>(org.java_websocket.WebSocket&nbsp;conn,
                     java.lang.String&nbsp;key)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#getLock(java.lang.String)">getLock</a></strong>(java.lang.String&nbsp;lockName)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#havePermission(java.lang.String,%20java.lang.String,%20java.lang.String)">havePermission</a></strong>(java.lang.String&nbsp;user,
              java.lang.String&nbsp;type,
              java.lang.String&nbsp;corpusid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#Init()">Init</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#main(java.lang.String[])">main</a></strong>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#RemoveUser(java.lang.String,%20java.lang.String)">RemoveUser</a></strong>(java.lang.String&nbsp;uid,
          java.lang.String&nbsp;key)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/AppMain.html#RemoveUser(org.java_websocket.WebSocket)">RemoveUser</a></strong>(org.java_websocket.WebSocket&nbsp;conn)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="users">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>users</h4>
<pre>public static&nbsp;java.util.HashMap&lt;java.lang.String,<a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a>&gt; users</pre>
</li>
</ul>
<a name="locks">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>locks</h4>
<pre>private static&nbsp;java.util.HashMap&lt;java.lang.String,java.lang.Object&gt; locks</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AppMain()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AppMain</h4>
<pre>public&nbsp;AppMain()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="main(java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="AuthenticateConnexion(org.java_websocket.WebSocket, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AuthenticateConnexion</h4>
<pre>public static&nbsp;<a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a>&nbsp;AuthenticateConnexion(org.java_websocket.WebSocket&nbsp;conn,
                                 java.lang.String&nbsp;key)</pre>
</li>
</ul>
<a name="AuthenticateConnexion(org.java_websocket.WebSocket)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AuthenticateConnexion</h4>
<pre>public static&nbsp;<a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a>&nbsp;AuthenticateConnexion(org.java_websocket.WebSocket&nbsp;conn)</pre>
</li>
</ul>
<a name="RemoveUser(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RemoveUser</h4>
<pre>public static&nbsp;boolean&nbsp;RemoveUser(java.lang.String&nbsp;uid,
                 java.lang.String&nbsp;key)</pre>
</li>
</ul>
<a name="RemoveUser(org.java_websocket.WebSocket)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RemoveUser</h4>
<pre>public static&nbsp;void&nbsp;RemoveUser(org.java_websocket.WebSocket&nbsp;conn)</pre>
</li>
</ul>
<a name="AddUser(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AddUser</h4>
<pre>public static&nbsp;boolean&nbsp;AddUser(java.lang.String&nbsp;uid,
              java.lang.String&nbsp;name,
              java.lang.String&nbsp;key)</pre>
</li>
</ul>
<a name="getLock(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLock</h4>
<pre>public static&nbsp;java.lang.Object&nbsp;getLock(java.lang.String&nbsp;lockName)</pre>
</li>
</ul>
<a name="Init()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Init</h4>
<pre>public static&nbsp;boolean&nbsp;Init()
                    throws java.io.IOException,
                           java.lang.InterruptedException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="havePermission(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>havePermission</h4>
<pre>public static&nbsp;boolean&nbsp;havePermission(java.lang.String&nbsp;user,
                     java.lang.String&nbsp;type,
                     java.lang.String&nbsp;corpusid)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AppMain.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?fr/inria/alpage/frmgcm/AppMain.html" target="_top">Frames</a></li>
<li><a href="AppMain.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
